Add pronunciations
curl --request POST \
--url https://tts.eu.mihu.ai/v1/pronunciations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"text": "BMW",
"alias": "be me ve",
"language": "tr",
"case_sensitive": false,
"voices": [
"<string>"
]
}
'import requests
url = "https://tts.eu.mihu.ai/v1/pronunciations"
payload = {
"text": "BMW",
"alias": "be me ve",
"language": "tr",
"case_sensitive": False,
"voices": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
text: 'BMW',
alias: 'be me ve',
language: 'tr',
case_sensitive: false,
voices: ['<string>']
})
};
fetch('https://tts.eu.mihu.ai/v1/pronunciations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://tts.eu.mihu.ai/v1/pronunciations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'text' => 'BMW',
'alias' => 'be me ve',
'language' => 'tr',
'case_sensitive' => false,
'voices' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://tts.eu.mihu.ai/v1/pronunciations"
payload := strings.NewReader("{\n \"text\": \"BMW\",\n \"alias\": \"be me ve\",\n \"language\": \"tr\",\n \"case_sensitive\": false,\n \"voices\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://tts.eu.mihu.ai/v1/pronunciations")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"text\": \"BMW\",\n \"alias\": \"be me ve\",\n \"language\": \"tr\",\n \"case_sensitive\": false,\n \"voices\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://tts.eu.mihu.ai/v1/pronunciations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"text\": \"BMW\",\n \"alias\": \"be me ve\",\n \"language\": \"tr\",\n \"case_sensitive\": false,\n \"voices\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"object": "pronunciation",
"text": "BMW",
"alias": "be me ve",
"language": "tr",
"case_sensitive": false,
"voices": [
"<string>"
],
"created_at": 123,
"updated_at": 123
}API Reference
Add pronunciations
One rule, or {"rules": [...], "replace": false} for several (replace: true makes the list your whole dictionary). A rule for the same words, language and voices replaces the earlier one. Used by every speech request of your account.
POST
/
v1
/
pronunciations
Add pronunciations
curl --request POST \
--url https://tts.eu.mihu.ai/v1/pronunciations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"text": "BMW",
"alias": "be me ve",
"language": "tr",
"case_sensitive": false,
"voices": [
"<string>"
]
}
'import requests
url = "https://tts.eu.mihu.ai/v1/pronunciations"
payload = {
"text": "BMW",
"alias": "be me ve",
"language": "tr",
"case_sensitive": False,
"voices": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
text: 'BMW',
alias: 'be me ve',
language: 'tr',
case_sensitive: false,
voices: ['<string>']
})
};
fetch('https://tts.eu.mihu.ai/v1/pronunciations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://tts.eu.mihu.ai/v1/pronunciations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'text' => 'BMW',
'alias' => 'be me ve',
'language' => 'tr',
'case_sensitive' => false,
'voices' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://tts.eu.mihu.ai/v1/pronunciations"
payload := strings.NewReader("{\n \"text\": \"BMW\",\n \"alias\": \"be me ve\",\n \"language\": \"tr\",\n \"case_sensitive\": false,\n \"voices\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://tts.eu.mihu.ai/v1/pronunciations")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"text\": \"BMW\",\n \"alias\": \"be me ve\",\n \"language\": \"tr\",\n \"case_sensitive\": false,\n \"voices\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://tts.eu.mihu.ai/v1/pronunciations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"text\": \"BMW\",\n \"alias\": \"be me ve\",\n \"language\": \"tr\",\n \"case_sensitive\": false,\n \"voices\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"object": "pronunciation",
"text": "BMW",
"alias": "be me ve",
"language": "tr",
"case_sensitive": false,
"voices": [
"<string>"
],
"created_at": 123,
"updated_at": 123
}Body
application/json
- Option 1
- Option 2
Response
The rule (or the list of rules) written